Subject: Re: bonding: Do we need netlink events for LACP status?

From: Hangbin Liu <[email-masked]>
Date: Mon, 11 Mar 2024 19:44:39 +0800

On Sat, Mar 09, 2024 at 07:11:29PM -0800, Jay Vosburgh wrote:
> 	Generally speaking, I don't see an issue with adding these type
> of netlink events, as in normal usage the volume will be low.
> 
> 	Looking at the code, I think it would be a matter of adding the
> new IFLA_BOND_LACP_STUFF labels, updating bond_fill_slave_info() and
> maybe bond_fill_info() to populate the netlink message for those new
> IFLAs.  Add a call to call_netdevice_notifiers() in ad_mux_machine()
> when the state changes, using a new event type that would need to be
> handled by rtnetlink_event().

Thank Jay, I will add this on my todo list.

Hangbin